if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh

ZSH_THEME="powerlevel10k/powerlevel10k"
plugins=(git
	    #zsh-completions
)

# PATH EXPORTS
export PATH=$HOME/bin:/usr/local/bin:$PATH
export ZSH=$HOME/.oh-my-zsh
export PASSWORD_STORE_GENERATED_LENGTH=32
export EDITOR="/usr/bin/nvim"
export GOPATH=$HOME/.go

source $ZSH/oh-my-zsh.sh
source /usr/share/zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
source /usr/share/zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh
ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE='fg=8'
#source $HOME/.cargo/env

# ALIASES
alias gpg_hardware='export GNUPGHOME=$HOME/.gnupg/trezor'
alias gpg_software='export GNUPGHOME=$HOME/tux/.gnupg'
alias mutt="mbsync -a && neomutt"
alias vim="nvim"
alias ls="exa -lgh --icons --group-directories-first"
alias la="exa -lgha --icons --group-directories-first"
alias cat="bat"
alias yubikey_discover="gpg-connect-agent 'scd serialno' 'learn --force' /bye"

# GPG Dialog
export GPG_TTY="$(tty)"

# Bat Theme
export BAT_THEME="base16"
#eval "$(pyenv init -)"

